---
import { getLangFromUrl, useTranslations } from '../../../i18n/utils.ts';

const lang = getLangFromUrl(Astro.url);
const t = useTranslations(lang, {keyPrefix: "stack"});
import SectionHeader from "../SectionHeader/SectionHeader";
import "./stack.sass";
import StackItem from "./StackItem";
---
    <section id="stack">
      <SectionHeader
        title={t("title")}
        tagline={t("tagline")}
      />
      <h3>{t("main")}</h3>
      <div class="stack__items">
        <StackItem
          image="/logos/react.png"
          alt="the react logo"
          text="ReactJS"
        />
        <StackItem
          image="/logos/phoenix.png"
          alt="the phoenix logo"
          text="Phoenix"
        />
        <p class="stack__item logo express">Express</p>
      </div>
      <h3>{t("others")}</h3>
      <div class="stack__items">
        <p>Node</p>
        <p>Ruby on Rails</p>
        <p>Python</p>
        <p>PHP</p>
        <p>Web Design</p>
      </div>
    </section>
